<div
  class="page-col-source"

  data-path="{{@path}}.data.source"
  data-type="data source"
  data-name={{@value.name}}
  data-gid={{@value.gid}}
  data-editor="source-buckets"

  {{on "props-update" this.updateProps}}
  {{did-update
    this.setup
    @model
    @model.changeCount
    @value
    @value.source
    @value.modelKey
  }}
  ...attributes
>
  {{#if this.groupNames}}
    <View::Categories
      @managed={{true}}
      @name={{@value.name}}
      @gid={{@value.gid}}
      @path="{{@path}}.data.categories"

      @deviceSize={{@deviceSize}}
      @value={{this.categoryValue}}
      @state={{this.categoryState}}
      @onChange={{this.selectGroup}}
    />
  {{/if}}

  {{yield this.lazyList}}

  {{#if this.lazyList.canLoadMore}}
    <div class="text-center text-size-10 mt-3">
      {{#if this.lazyList.isLoading}}
        <div class="spinner-border text-secondary" role="status">
          <span class="visually-hidden">Loading...</span>
        </div>
      {{else}}
        <button
          class="btn btn-outline-secondary btn-lg"
          type="button"
          {{on "click" this.loadMore}}
        >
          {{t "load more"}}
        </button>
      {{/if}}
    </div>
  {{/if}}
</div>